Skip to Content
Bulk & Campaign Messaging

Cancel pending bulk SMS job

View Markdown (.md)
PATCH
/api/v1/public/sms/bulk/jobs/{jobId}

Aborts a bulk job if it is currently in QUEUED or SCHEDULED status. Unconsumed units are refunded to the customer wallet.

Authorization

headerX-Api-Key<token>

SMS Pro API Key (sk_live_... or sk_test_...)

Path Parameters

jobId*string

Job ID to cancel

Response Body

Bulk job successfully cancelled and credits refunded

application/json
  1. response
status?string
message?string
Example Request
curl -X PATCH 'https://api.smspro.com/api/v1/public/sms/bulk/jobs/string'
Example Response
{  "status": "string",  "message": "string"}